%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary: 	Inter-toolkit configuration settings
Name: 		Xsettings-client
Version: 	0.10
Release: 	%mkrel 3
URL: 		http://www.freedesktop.org/standards/xsettings-spec/
License: 	MIT
Group: 		System/Libraries
Source0:	http://matchbox-project.org/sources/optional-dependencies/%{name}-%{version}.tar.xz
Patch0:		Xsettings-client-0.10-underlink.patch
BuildRequires:	X11-devel
BuildRoot: 	%_tmppath/%{name}-%{version}-buildroot

%description
The intent of this specification is to specify a mechanism to allow the
configuration of settings such as double click timeout, drag-and-drop
threshold, and default foreground and background colors for all applications
running within a desktop. The mechanism should:
- allow for instant updates to be propagated across all applications at runtime
- perform well, even for remote applications.

It is not intended:
- for the storage of application-specific data
- to be able to store large amounts of data
- to store complex data types (other than as strings)


%package devel
Group:          Development/Libraries
Summary:        Static libraries and header files from %{name}
Provides:       %{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname Xsettings-client 0 -d}
Requires:       %{name} = %{version}-%{release}

%description devel
Static libraries and header files from %{name}.

%prep
%setup -q
%patch0 -p1 -b .underlink
sed -i s/AM_CONFIG_HEADER/AC_CONFIG_HEADER/ configure.ac

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files devel
%defattr(-,root,root)
%doc README
%{_libdir}/*.so
%{_includedir}/*.h


%changelog
* Tue Apr 05 2016 bb <bb> 0.10-3pclos2016
- rebuild for updates

* Sat Apr 26 2014 bb <bb> 0.10-2pclos2014
- rebuild for 2014

* Fri Feb 19 2010 Texstar <texstar at gmail.com> 0.10-1pclos2010
- import for 2010

